task Call_meth {
	
	File ref_dir
    
	File Dedup_bam
	String sample
	String docker
	String cluster_config
	String disk_size

command <<<
		set -o pipefail
		set -e
		/src/Bismark-0.20.1/bismark_methylation_extractor --multicore 16 -p --no_overlap --comprehensive --report --bedGraph --cytosine_report --CX_context --ignore_r2 2 --merge_non_CpG --genome_folder ${ref_dir} ${Dedup_bam}
	>>>
	
	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File bedGraph = "${sample}.deduplicated.bedGraph.gz"
		File cov = "${sample}.bismark.deduplicated.cov.gz"
		File splitting_report = "${sample}.deduplicated_splitting_report.txt"
		File CHG_context = "CHG_context_${sample}.deduplicated.txt"
		File CHH_context = "CHH_context_${sample}.deduplicated.txt"
		File CpG_context = "CpG_context_${sample}.deduplicated.txt"
		File Mbias = "${sample}.deduplicated.M-bias.txt"
		File CX = "${sample}.CX_report.txt"
	}
}
